Package org.apache.avro

# Enum Schema.Field.Order

java.lang.Object
java.lang.Enum<Schema.Field.Order>
org.apache.avro.Schema.Field.Order

All Implemented Interfaces:
  `Serializable`, `Comparable<Schema.Field.Order>`

Enclosing class:
  `Schema.Field`

public static enum Schema.Field.Order extends Enum<Schema.Field.Order>
How values of this field should be ordered when sorting records.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASCENDING`
`DESCENDING`
`IGNORE`

## Method Summary

Modifier and Type
Method
Description
`static Schema.Field.Order`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Schema.Field.Order[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ASCENDING

public static final Schema.Field.Order ASCENDING

### DESCENDING

public static final Schema.Field.Order DESCENDING

### IGNORE

public static final Schema.Field.Order IGNORE

## Method Details

### values

public static Schema.Field.Order[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Schema.Field.Order valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null